<?php

namespace App\Http\Controllers\Sanction;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\sanction\Sanction;
use App\Models\Comment\Comment;
use DB;
use App\Models\contact\Contact;
use App\Helpers\commentHelper as helper;
class SanctionController extends Controller
{   
    function __construct()
    {
        $this->middleware('permission:sanction-list|sanction-create|sanction-edit|sanction-delete', ['only' => ['index','store']]);
        $this->middleware('permission:sanction-create', ['only' => ['create','store']]);
        $this->middleware('permission:sanction-edit', ['only' => ['edit','update']]);
        $this->middleware('permission:sanction-delete', ['only' => ['destroy']]);
    }

     public function index()
     {
         $data=Sanction::paginate(10);

         $tbl_hlsanction = Sanction::get();
        
         return view('content.sanction.sanction',compact('tbl_hlsanction','data'));
     }

     public function create(Sanction $sanction)
     {
         return view('content.sanction.sanction_add',compact('sanction'));
     }

    
    public function store(Request $request)
    {
        $request->validate([
       
            'client_id' => 'required|numeric',
            'sanction_date' => 'required',
            'sanction_amt' => 'required|numeric',
            'bank_id' => 'required|numeric',
            'requirements' => 'required',
            'status' => 'required',
            'comments' => 'required',
            
            ],
            [
            'client_id.required'=>'This field is required',
            'sanction_date.required'=>'Sanction date is required',
            'sanction_amt.required'=>'Sanction amount is required',
            'bank_id.required'=>'Bank id is required',
            'requirements.required'=>'Requirements field is required',
            'status.required'=>'Status is required',
            'comments.required'=>'Comment is required',
            ]);
        

        $sanction = new sanction;

        $sanction->client_id = $request->client_id;
        $sanction->sanction_date = $request->sanction_date;
        $sanction->sanction_amt = $request->sanction_amt;
        $sanction->bank_id = $request->bank_id;
        $sanction->requirements = $request->requirements;
        $sanction->status = $request->status;
        $sanction->sanction_status= $request->sanction_status;
       

        $sanction_id = $sanction->save();
	Helper::addComment($sanction->sanction_id,$request->comments, "sanction");

        return redirect('sanction')->withSuccess('New Sanction added');
        
    }

    public function show(Sanction $sanction)
    {
        $data=Contact::findorfail($sanction->client_id);
        $data1=$data->tbl_hlsanction;
        $data2=$data->tbl_hldisbursement;
        
        $comData=Sanction::findorfail($sanction->sanction_id);
        $comData1=$comData->tbl_hlcomments;                
       
        return view('content.sanction.show',compact('comData','data','sanction'));
      
    } 
    
    public function edit($sanction_id)
    {
       

        $Sanction = Sanction::where('sanction_id',$sanction_id)->first();

        $value=Contact::findorfail($Sanction->client_id);
        $value1=$value->tbl_hlsanction;
        $value2=$value->tbl_hldisbursement;
        
        return view('content.sanction.sanction_edit', compact('Sanction','value'));
       
    }

    public function update(Request $request, Sanction $Sanction)
    {
        $request->validate([
            'client_id'=>'required|max:255',
            'sanction_date' => 'required',
            'sanction_amt' => 'required|numeric',
            'bank_id' => 'required|numeric',
            'requirements' => 'required',
            'status' => 'required',
            ],
    [
        'client_id.required'=>'This field is required',
        'sanction_date.required'=>'Sanction date is required',
        'sanction_amt.required'=>'Sanction amount is required',
        'bank_id.required'=>'Bank id is required',
        'requirements.required'=>'Requirements field is required',
        'status.required'=>'Status is required',
        ]);

        $Sanction->update($request->all());
        return redirect('sanction')->withSuccess('Sanction updated successfully');
    }

    public function changestatus(Request $request)
    {     
        $id = $request->id;
        $status = $request->status;   
       DB::table('tbl_hlsanction')->where('sanction_id',$id)->update([
        'sanction_status'=>$status
       ]);
       $status="";
       $details=Sanction::where('sanction_id','=',$id)->get();
       foreach($details as $data)
       $status=$data->sanction_status;
       
       return response()->json(
        [
          'success'=>true,
          'message'=>'updated',
          'status'=>$status
        ]
        );
    }
}
