<?php

namespace App\Http\Controllers\contact;
use DB;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\contact\Contact;
use App\Models\sanction\Sanction;
use App\Helpers\commentHelper as helper;

class ContactController extends Controller
{
    public function __construct()
    {
      $this->middleware('permission:contact-list|contact-create|contact-edit|contact-delete', ['only' => ['index','store']]);
      $this->middleware('permission:contact-create', ['only' => ['create','store']]);
      $this->middleware('permission:contact-edit', ['only' => ['edit','update']]);
      $this->middleware('permission:contact-delete', ['only' => ['destroy']]);
    }

    public function index(Contact $contact)
    {           
      $data=Contact::paginate(10); 
          
      return view('content.contact.contacts',compact('data'));
    }
    public function create()
    {
      return view('content.contact.add-contacts');
    }
    public function store(Request $request)
    {
      
      $request->validate([
        'fname'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'lname'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'email1'=>'required|unique:tbl_hlclients|max:255',
        'mobile1'=>'required|regex:/^([0-9\s\-\+\(\)]*)$/|min:10|max:10',
        'mobile2'=>'required|regex:/^([0-9\s\-\+\(\)]*)$/|min:10|max:10',
        'email2'=>'required|unique:tbl_hlclients|max:255',
        'address'=>'required',
        'city'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'country'=>'required',
        'state'=>'required',
        'date_of_birth'=>'required',
        'Type_of_Loan'=>'required',
        'Team_Leader'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'Sourcing_Manager'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'comments'=>'required',
      ],
      [
        'fname.required'=>'First Name is required',
        'lname.required'=>'Last Name is required',
        'email1.required'=>'Email is requird',
        'email2.required'=>'Email is requird',
        'mobile1.required'=>'Mobile Number is required',
        'mobile2.required'=>'Mobile Number is required',
        'country.required'=>'Country is requird',
        'address.required'=>'Address is requird',
        'city.required'=>'City is requird',
        'state.required'=>'State is requird',
        'date_of_birth.required'=>'DOB is requird',
        'Type_of_Loan.required'=>'Type of Loan is required',
        'Team_Leader.required'=>'Team Leader is required',
        'Team_Leader.regex'=>'The Format is Invalid',
        'Sourcing_Manager.required'=>'Sourcing Manager is required',
        'mobile1.min'=>"The mobile number must be at least 10 digits.",
        'mobile2.min'=>"The mobile number must be at least 10 digits.",
        'mobile1.max'=>"The mobile number must not be greater than 10 digits.",
        'mobile2.max'=>"The mobile number must not be greater than 10 digits.",
        'mobile1.regex'=>"The mobile number must be a Number.",
        'mobile2.regex'=>"The mobile number must be a Number.",
        'fname.regex'=>'The Format is Invalid',
        'lname.regex'=>'The Format is Invalid',
        'email2.unique'=>'The email has already been taken.',
        'Sourcing_Manager.regex'=>'The Format is Invalid',
        'comments.required'=>'Comment is required',
      ]);
    
      $client_id = Contact::create($request->all()); 

      Helper::addComment($client_id->client_id,$request->comments, "client");

      return redirect()->route('contacts.index')
                       ->with('success','New Contact Added');
      
    }
    public function show(Contact $contact)
    {
       $data=Contact::findorfail($contact->client_id);
       $data1=$data->tbl_hlsanction;
       $data2=$data->tbl_hldisbursement;
      //  $data3=$data->tbl_hlcomments; 
      $comData=Contact::findorfail($contact->client_id);
        $comData1=$comData->tbl_hlcomments;                
        return view('content.contact.show',compact('comData','data'));
    }
   
    public function edit(Contact $contact, Sanction $sanction)
    {
        return view('content.contact.edit',compact('contact'));
    }

    public function update(Request $request, Contact $contact)
    {
      $request->validate([
        'fname'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'lname'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'email1'=>'required|',
        'mobile1'=>'required|regex:/^([0-9\s\-\+\(\)]*)$/|min:10|max:10',
        'mobile2'=>'required|regex:/^([0-9\s\-\+\(\)]*)$/|min:10|max:10',
        'email2'=>'required|',
        'address'=>'required',
        'city'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'country'=>'required',
        'state'=>'required',
        'date_of_birth'=>'required',
        'Type_of_Loan'=>'required',
        'Team_Leader'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
        'Sourcing_Manager'=>'required|regex:/^[a-zA-Z]+$/u|max:255',
       
      ],
      [
        'fname.required'=>'First Name is required',
        'lname.required'=>'Last Name is required',
        'email1.required'=>'Email is requird',
        'email2.required'=>'Email is requird',
        'mobile1.required'=>'Mobile Number is required',
        'mobile2.required'=>'Mobile Number is required',
        'country.required'=>'Country is requird',
        'address.required'=>'Address is requird',
        'city.required'=>'City is requird',
        'state.required'=>'State is requird',
        'date_of_birth.required'=>'DOB is requird',
        'Type_of_Loan.required'=>'Type of Loan is required',
        'Team_Leader.required'=>'Team Leader is required',
        'Team_Leader.regex'=>'The Format is Invalid',
        'Sourcing_Manager.required'=>'Sourcing Manager is required',
        'mobile1.min'=>"The mobile number must be at least 10 digits.",
        'mobile2.min'=>"The mobile number must be at least 10 digits.",
        'mobile1.max'=>"The mobile number must not be greater than 10 digits.",
        'mobile2.max'=>"The mobile number must not be greater than 10 digits.",
        'mobile1.regex'=>"The mobile number must be a Number.",
        'mobile2.regex'=>"The mobile number must be a Number.",
        'fname.regex'=>'The Format is Invalid',
        'lname.regex'=>'The Format is Invalid',
        'Sourcing_Manager.regex'=>'The Format is Invalid',
      ]);
    
        $contact->update($request->all());       
        return redirect()->route('contacts.index')
                         ->with('success','updated successfully');
    }    
       
      public function changestatus(Request $request)
      {     
        $id = $request->id;
        $status = $request->status;   
         DB::table('tbl_hlclients')->where('client_id',$id)->update([
          'client_status'=>$status
         ]);
         $status="";
         $details=Contact::where('client_id','=',$id)->get();
         foreach($details as $data)
         $status=$data->client_status;
         
         return response()->json(
          [
            'success'=>true,
            'message'=>'updated',                                           
            'status'=>$status
          ]
          );
      }
}

