<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * 
     */
    public function up():void
    {
        Schema::create('tbl_hlsanction', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('client_id');
            $table->date('sanction_date');
            $table->integer('sanction_amt');
            $table->integer('bank_id');
            $table->string('requirements');
            $table->enum('status',['Sanctioned','Partial_Disbursed', 'In_Process', 'Full_Disbursed','Cancelled','Reject','Not_Disbursed']);
            $table->timestamps();    
            
             $table->foreign('client_id')->references('id')->on('tbl_hlclients')
                   ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * 
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_hlsanction');
    }
};
