@extends('layouts/contentNavbarLayout')

@section('title', 'Add-Contact')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Contact List</h4>

    <!-- Add contact form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">User Details</h5>
                    <small class="text-muted float-end">
                        @can('contact-create')
                            <a href="{{ route('contacts.create') }}" class="btn btn-primary" role="button">Add Contact</a>
                        @endcan
                    </small>
                </div>
                <div class="card-body">
                    <h5 class="card-header">Contacts List</h5>
                    <div class="table-responsive text-nowrap">
                        @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                         @endif
                        <table class="table table-hover">
                            <thead>
                                <tr class="text-nowrap">
                                    <th>Client Status</th>
                                    <th>Sr. No.</th>                                   
                                    <th>Email</th>                                    
                                    <th>Contact</th>                                                                
                                    <th>Type Of Loan</th>
                                    <th>Team Leader</th>
                                    <th>SM</th>
                                    <th>Actions</th>
                                    
                                </tr>
                            </thead>
                            <tbody class="table-border-bottom-0">
                                @php
                                    $i = 0;
                                @endphp

                                @if (isset($data))
                                @forelse ($data as $contact)
                                <tr>     
                                    <td>  
                                        @can('contact-delete')
                                            <a href="javascript:void(0)" id="status{{$contact->client_id}}" title='@php echo ($contact->client_status==0) ? "Inactive" : "Active"; @endphp' onclick="status('{{ $contact->client_id }}','{{ $contact->client_status }}', 'changestatus')">
                                                <div class="switchToggle"> 
                                                    <input type="checkbox"   id="switch{{$contact->client_id }}" {{ $contact->client_status ? 'checked' : '' }}>
                                                    <label for="switch{{$contact->client_id  }}">Toggle</label>
                                                </div>     
                                            </a>                             
                                        @endcan
                                                                           
                                    </td>                                
                                    <td>{{ ++$i }}</td>                        
                                    <td>{{ $contact->email1 }}</td>
                                    <td>{{ $contact->mobile1 }}</td>                                 
                                    <td>{{ $contact->Type_of_Loan }}</td>
                                    <td>{{ $contact->Team_Leader }}</td>
                                    <td>{{ $contact->Sourcing_Manager}}</td>                                                                                                                                       
                                    <td>
                                        <a class="btn btn-show" href="{{ route('contacts.show',[$contact->client_id])}}"><i class="fa fa-eye"></i></a>
                                    </td> 
                                    <td>
                                        @can('contact-edit')
                                            <a class="btn btn-edit" href="{{ route('contacts.edit',$contact->client_id)}}"><i class="fa fa-pencil"></i></a>
                                        @endcan
                                    </td>
                                                                   
                                   </td>
                                </tr>
                                    
                                @empty
                                    <tr>
                                        <td colspan="3"><h4> No Data Found !</h4></td>
                                    </tr>
                                @endforelse
                                @else
                                <tr>
                                    <td colspan="3"><h4> No Data Found !</h4></td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>                    
                </div>
                <div class="d-flex justify-content-center">
                    {{ $data->links() }}
                </div>
            </div>
        </div>
       
    </div>
    
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript">
    </script>
@endsection
