@extends('layouts/contentNavbarLayout')

@section('title', 'Add-Disbursement')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Add Disbursement</h4>

    <!-- Add Disbursement form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">Disbursement Details</h5> <small class="text-muted float-end">Merged input group</small>
                </div>
                <div class="card-body">
                    <form action="{{ route('disbursements.store') }}" method="post">
                        @csrf
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Client ID</label><br><br>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                    
                                    <select class="form-control dynamic" name="client_id" value="{{ old('client_id') }}"  id="client_id" data-dependent="sanction_id">
                                        <option  value="{{ old('client_id') }}">Client Name</option>
                                        @foreach(App\Models\contact\Contact::all() as $cList )
                                        <option value="{{ $cList->client_id }}"  @if(old('client_id') == $cList->client_id) selected="selected" @endif>{{ $cList->fname }}</option>
                                        @endforeach
                                   </select>
                              </div>
                                @error('client_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Sanction ID</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                   
                                    <select class="form-control" name="sanction_id" id="sanc_id" value="{{ old('sanction_id') }}" >
                                       <option value=""></option>
                                       </select>
                                </div> 
                                {{ csrf_field() }}                               
                                @error('sanction_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-email">Disbursement Date</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                   
                                    <input type="date" name="disb_date" id="basic-icon-default-email" value="{{ old('disb_date') }}" class="form-control" placeholder="Disbursement Date" aria-label="john.doe" aria-describedby="basic-icon-default-email2" />
                                </div>
                                @error('disb_date')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-email">Disbursement Amount</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                
                                    <input type="text" name="disb_amt"  value="{{ old('disb_amt') }}" class="form-control" placeholder="Disbursement Amount" aria-label="john.doe" aria-describedby="basic-icon-default-email2" />
                                </div>
                                @error('disb_amt')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="basic-icon-default-phone">Bank ID</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                    
                                    <input type="text" name="bank_id" id="mobile_number" value="{{ old('bank_id') }}" class="form-control phone-mask"  placeholder="Bank ID" aria-label="658 799 8941" aria-describedby="basic-icon-default-phone2" />
                                </div>
                                @error('bank_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                               
                            </div>
                            <label class="col-sm-2 form-label" for="basic-icon-default-phone">Pending Disbursement</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                   
                                    <input type="text" name="pending_disb" id="mobile_number" value="{{ old('pending_disb') }}" class="form-control phone-mask"  placeholder="Pending Disbursement" aria-label="658 799 8941" aria-describedby="basic-icon-default-phone2" />
                                </div>
                                @error('pending_disb')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                               
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Disbursement Status</label>
                            <div class="col-sm-4">                                                      
                            <select class="form-control" name="status" value="{{ old('status') }}">
                                <option value="{{ old('status') }}">Select Status</option>
                                <option  value="Partly_disbursed" {{ old('status') == "Partly_disbursed" ? 'selected' : '' }}>Partly Disbursed</option>
                                <option  value="Final_disbursment" {{ old('status') == "Final_disbursment" ? 'selected' : '' }}>Final Disbursment</option> 
                            </select>
                                @error('status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>     
                        
                            <label class="col-sm-2 form-label" for="comments">Comments</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                
                                    <textarea class="form-control" name="comments" id="comments" placeholder="Enter Comments" rows="3">{{ old('comments') }}</textarea>
                                </div>
                                @error('comments')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                               
                            </div>
                        </div>    
                        
                        <div class="row mb-3" style="display:none;">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Status</label>
                            <div class="col-sm-4">                                                      
                            <select class="form-control" name="disbursement_status" value="1">
                               <option  value="1" {{ old('disbursement_status') == "1" ? 'selected' : '' }}>Active</option> 
                            </select>
                                @error('disbursement_status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>     
                        </div>      
                       
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Add</button>
                                <a class="btn btn-info" href="{{ route('disbursements.index')}}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
<script src="https://code.jquery.com/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>

