@extends('layouts/contentNavbarLayout')

@section('title', 'Add-Disbursement')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span>Disbursement List</h4>

    <!-- Add Disbursement form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">Disbursement Details</h5>
                    <small class="text-muted float-end">
                        @can('disbursement-create')
                            <a href="{{ route('disbursements.create') }}" class="btn btn-primary" role="button">Add Disbursement</a>
                        @endcan
                    </small>
                </div>
                <div class="card-body">
                    <h5 class="card-header">Disbursement List</h5>
                    <div class="table-responsive text-nowrap">
                        @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif
                        <table class="table table-hover">
                            <thead>
                                <tr class="text-nowrap">
                                    <th>Disbursement Status</th>
                                    <th>Sr. No.</th>
                                    <th>Client ID</th>
                                    <th>Sanction ID</th>
                                    <th>Disbursement Date</th>
                                    <th>Disbursement Amount</th>
                                    <th>Bank ID</th>
                                    <th>Pending Disbursement</th>
                                    <th>Status</th>
                                    <th>Actions</th>                                 
                                    </tr>
                            </thead>
                            <tbody class="table-border-bottom-0">
                                @php
                                    $i = 0;
                                @endphp

                                @if (isset($data))
                                @forelse ($data as $disbursement)
                                <tr>
                                    <td>  
                                        @can('disbursement-delete')
                                            <a href="javascript:void(0)" id="status{{$disbursement->disb_id}}" title='@php echo ($disbursement->disbursement_status==0) ? "Inactive" : "Active"; @endphp' onclick="status('{{ $disbursement->disb_id }}','{{ $disbursement->disbursement_status }}','disbursementstatus')">
                                                <div class="switchToggle"> 
                                                    <input type="checkbox"   id="switch{{$disbursement->disb_id }}" {{ $disbursement->disbursement_status ? 'checked' : '' }}>
                                                    <label for="switch{{$disbursement->disb_id  }}">Toggle</label>
                                                </div>     
                                            </a>                             
                                        @endcan
                                                                           
                                    </td>    
                                    <td>{{ ++$i }}</td>                         
                                    <td>{{ $disbursement->client_id }}</td>
                                    <td>{{ $disbursement->sanction_id }}</td>
                                    <td>{{ $disbursement->disb_date }}</td>
                                    <td>{{ $disbursement->disb_amt }}</td>
                                    <td>{{ $disbursement->bank_id }}</td>
                                    <td>{{ $disbursement->pending_disb }}</td>
                                    <td>{{ $disbursement->status }}</td>                                                                   
                                    <td>
                                        <a class="btn btn-showid" href="{{ route('disbursements.show',$disbursement->disb_id)}}"><i class="fa fa-eye"></i></a>
                                    </td>
                                    <td>
                                        @can('disbursement-edit')
                                        <a class="btn btn-editid" href="{{route('disbursements.edit',$disbursement->disb_id)}}"><i class="fa fa-pencil"></i></a>
                                        @endcan
                                    </td>                                       
                                    </td>
                                </tr>                                    
                                @empty
                                    <tr>
                                        <td colspan="3"><h4> No Data Found !</h4></td>
                                    </tr>
                                @endforelse
                                @else
                                <tr>
                                    <td colspan="3"><h4> No Data Found !</h4></td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
{{-- End Form --}}
