@extends('layouts/contentNavbarLayout')

@section('title', 'Sanction')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Sanction List</h4>

    <!-- Add Sanction form -->

    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">                   
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">Sanction Details</h5>
                        <small class="text-muted float-end">
                            @can('sanction-create')
                            <a href="{{ route('sanction.create') }}" class="btn btn-primary" role="button">Add Sanction</a>
                            @endcan
                        </small>
                 </div>
                                 
                <div class="card-body">
                    <h5 class="card-header">Sanction List</h5>

                    <div class="table-responsive text-nowrap">
                    @if(session()->has('success'))
                        <div class="alert alert-success" role="alert">
                        <strong>{{ session()->get('success') }}</strong>
                        </div>
                    @endif
                        <table class="table table-hover">
                            <thead>
                                <tr class="text-nowrap">
                                    <th>Sanction Status</th>
                                    <th>Sr. No.</th>
                                    <th>Amount</th>
                                    <th>Requirements</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody class="table-border-bottom-0">
                            
                                @php
                                    $i = 0;
                                   
                                @endphp

                                @if (isset($tbl_hlsanction))
                                @forelse ($tbl_hlsanction as $Sanction)
                                <tr>
                                    <td>  
                                        @can('sanction-delete')
                                        <a href="javascript:void(0)" id="status{{$Sanction->sanction_id}}" title='@php echo ($Sanction->sanction_status==0) ? "Inactive" : "Active"; @endphp' onclick="status('{{ $Sanction->sanction_id }}','{{ $Sanction->sanction_status }}','sanctionstatus')">
                                            <div class="switchToggle"> 
                                                <input type="checkbox"   id="switch{{$Sanction->sanction_id }}" {{ $Sanction->sanction_status ? 'checked' : '' }}>
                                                 <label for="switch{{$Sanction->sanction_id }}">Toggle</label>
                                            </div>     
                                        </a>                             
                                        @endcan            
                                    </td> 
                                    <td>{{ ++$i }}</td>
                                    <td>{{ $Sanction->sanction_amt }}</td>
                                    <td>{{ $Sanction->requirements }}</td>
                                    <td>{{ $Sanction->status }}</td>
                                    <td>
                                    @can('sanction-edit')
                                        <a href="{{ route('sanction.show',$Sanction->sanction_id) }}" class="btn btn-showid1" role="button"><i class="fa fa-eye"></a>
                                    @endcan
                                    <td>
                                    @can('sanction-delete')
                                        <a class="btn btn-editid1" href="{{route('sanction.edit',$Sanction->sanction_id)}}"><i class="fa fa-pencil"></i></a>
                                    @endcan
                                    </td> 
                                   
                                </tr>
                                    
                                @empty
                                    <tr>
                                        <td colspan="3"><h4> No Data Found !</h4></td>
                                    </tr>
                                @endforelse
                                @else
                                <tr>
                                    <td colspan="3"><h4> No Data Found !</h4></td>
                                </tr>
                                @endif                              
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="d-flex justify-content-center">
                    {{ $data->links() }}
                </div>
            </div>
        </div>
    </div>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript">
       
        </script>
@endsection

 
