@extends('layouts/contentNavbarLayout')

@section('title', 'Add Sanction')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Add Sanction</h4>

    <!-- Add Sanction form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">Sanction Details</h5> <small class="text-muted float-end">Merged input group</small>
                </div>
                <div class="card-body">
                    <form action="{{ route('sanction.store') }}" method="POST">
                        @csrf                      
                         <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="client Id">Client Name</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                     
                                    <select class="form-control" name="client_id" value="{{ old('client_id') }}">
                                        <option  value="{{ old('client_id') }}">Client Name</option>
                                        @foreach(App\Models\contact\Contact::all() as $cList )
                                        <option value="{{ $cList->client_id }}"  @if(old('client_id') == $cList->client_id) selected="selected" @endif>{{ $cList->fname }}</option>
                                        @endforeach
                                   </select>
                                </div>
                                @error('client_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                       
                            <label class="col-sm-2 form-label" for="Date">Date</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <input type="date" name="sanction_date" id="sanction_date" value="{{ old('sanction_date') }}" class="form-control"  placeholder="Date" />
                                </div>
                                @error('sanction_date')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Amount">Amount</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                    
                                    <input type="text" name="sanction_amt" id="sanction_amt" value="{{ old('sanction_amt') }}" class="form-control"  placeholder="Enter Amount" />
                                </div>
                                @error('sanction_amt')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                       
                            <label class="col-sm-2 col-form-label" for="Bank Id">Bank Id</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                   
                                    <input type="text" class="form-control" name="bank_id" id="bank_id" value="{{ old('bank_id') }}" placeholder="Enter Bank Id" />
                                </div>
                                @error('bank_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Requirements">Requirements</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                
                                    <textarea class="form-control" name="requirements" id="requirements" placeholder="Enter Requirements" rows="3">{{ old('requirements') }}</textarea>
                                </div>
                                @error('requirements')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                               
                            </div>
                       
                            <label class="col-sm-2 form-label" for="Status">Status</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                        <select class="form-control" name="status" value="{{ old('status') }}">
                                        <option value="{{ old('status') }}">Select Status</option>
                                        <option value="Sanctioned" {{old('status')=="Sanctioned"?'selected':''}}>Sanctioned</option>
                                        <option value="Partial_Disbursed" {{old('status')=="Partial_Disbursed"?'selected':''}}>Partial Disbursed</option>
                                        <option value="In_Process" {{old('status')=="In_Process"?'selected':''}}>In Process</option>
                                        <option value="Full_Disbursed" {{old('status')=="Full_Disbursed"?'selected':''}}>Full Disbursed</option>
                                        <option value="Cancelled" {{old('status')=="Cancelled"?'selected':''}}>Cancelled</option>
                                        <option value="Reject" {{old('status')=="Reject"?'selected':''}}>Reject</option>
                                        <option value="Not_Disbursed" {{old('status')=="Not_Disbursed"?'selected':''}}>Not Disbursed</option>
                                    </select>                                    
                                </div>
                                @error('status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                               
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Requirements">Comments</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                
                                    <textarea class="form-control" name="comments" id="comments" placeholder="Enter Requirements" rows="3">{{ old('comments') }}</textarea>
                                </div>
                                @error('comments')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                               
                            </div>
                            </div>
                        <div class="row mb-3" style="display:none;">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Status</label>
                            <div class="col-sm-4">                                                      
                            <select class="form-control" name="sanction_status" value="1">
                               <option  value="1" {{ old('sanction_status') == "1" ? 'selected' : '' }}>Active</option> 
                            </select>
                                @error('sanction_status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>     
                        </div>   
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Add</button>
                                <a class="btn btn-info" href="{{ route('sanction.index')}}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection



