@extends('layouts/contentNavbarLayout')

@section('title', 'Update Sanction')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Update Sanction</h4>

    <!-- Add sanction form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
           
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">Sanction Details</h5> <small class="text-muted float-end">Merged input group</small>
                </div>
                <div class="card-body">
                    <form action="{{ route('sanction.update',$Sanction->sanction_id) }}" method="post">
                        
                        @csrf
                        @method('put')
                        
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Client Id</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                <select class="form-control" name="client_id" value="{{ old('client_id') }}" onChange="selectedData(value)">                                       
                                        <option class="option" value="{{ $value->client_id }}">{{$value->fname}}</option>
                                        @foreach(App\Models\contact\Contact::all() as $cList )                                           
                                        <option  value="{{ $cList->client_id }}" @if(old('client_id') == $cList->fname) selected="selected" @endif>{{ $cList->fname }}</option>
                                        @endforeach
                                   </select>
                                   
                                </div>
                                @error('client_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>

                            <label class="col-sm-2 form-label" for="Date">Date</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">                                    
                                    <input type="date" name="sanction_date" id="sanction_date" value="{{ $Sanction->sanction_date }}" class="form-control phone-mask"  placeholder="Date" />
                                </div>
                                @error('sanction_date')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Amount">Amount</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    
                                    <input type="text" name="sanction_amt" id="sanction_amt" value="{{ $Sanction->sanction_amt }}" class="form-control phone-mask"  placeholder="Enter Amount" />
                                </div>
                                @error('sanction_amt')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                
                            </div>
                            <label class="col-sm-2 col-form-label" for="Bank Id">Bank Id</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                   
                                    <input type="text" class="form-control" name="bank_id" id="bank_id" value="{{ $Sanction->bank_id }}" placeholder="Enter Bank Id" />
                                </div>
                                @error('bank_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        
                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Requirements">Requirements</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                <textarea class="form-control" name="requirements" id="requirements" placeholder="Enter Requirements" rows="3">{{ $Sanction->requirements }}</textarea>
                                </div>
                                @error('requirements')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                               
                            </div>
                        
                            <label class="col-sm-2 form-label" for="Status1">Status</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                <select class="form-select" name="status" id="status" aria-label="Default select example">
                                    
                                        <option>{{$Sanction->status}}</option>
                                        <option value="Sanctioned">Sanctioned</option>
                                        <option value="Partial_Disbursed">Partial Disbursed</option>
                                        <option value="In_Process">In Process</option>
                                        <option value="Full_Disbursed">Full Disbursed</option>
                                        <option value="Cancelled">Cancelled</option>
                                        <option value="Reject">Reject</option>
                                        <option value="Not_Disbursed">Not Disbursed</option>
                                    </select>
                                </div>
                                @error('status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                
                            </div>
                        </div>
                        <div class="row mb-3" style="display:none;">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Status</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <select class="form-control" name="sanction_status" value="{{ old('sanction_status') }}">
                                    <option class="option">{{$Sanction->sanction_status}}</option>                                    
                                    </select>                                 
                               </div>
                                @error('sanction_status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>  
                        </div>   
                     
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Update</button>
                                <a class="btn btn-info" href="{{ route('sanction.index')}}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
