@extends('layouts/contentNavbarLayout')

@section('title', 'Add Sanction')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Add Sanction</h4>

    <!-- Add Sanction form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">User Details</h5> <small class="text-muted float-end">Merged input group</small>
                </div>
                <div class="card-body">
                    <form action="{{ route('sanction.store') }}" method="POST">
                       
                    @csrf
                       

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Client Id</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                 
                                    <input type="text" class="form-control" name="Client_id" id="Client_id" value="{{ old('Client_id') }}" placeholder="Enter Client Id" />
                                </div>
                                @error('Client_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Date">Date</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    <span class="input-group-text"><i class="bx bx-envelope"></i></span>
                                    <input type="date" name="sanction_date" id="sanction_date" value="{{ old('sanction_date') }}" class="form-control" placeholder="Date" />
                                  
                                </div>
                                @error('sanction_date')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                               
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Amount">Amount</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    
                                    <input type="text" class="form-section_amt" name="sanction_amt" id="sanction_amt" value="{{ old('sanction_amt') }}" placeholder="Enter Amount" />
                                </div>
                                @error('sanction_amt')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Bank Id">Bank Id</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                   
                                    <input type="text" class="form-control" name="bank_id" id="bank_id" value="{{ old('bank_id') }}" placeholder="Enter Bank Id" />
                                </div>
                                @error('bank_id')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Requirements">Requirements</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    
                                    <textarea class="form-control" name="requirements" id="requirements" placeholder="Enter Requirements" rows="3">{{ old('requirements') }}</textarea>
                                </div>
                                @error('requirements')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Status">Status</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                   
                                    <select class="form-select" name="status" id="status" value="{{ old('status') }}" aria-label="Default select example">
                                        <option selected>Select</option>
                                        <option value="Sanctioned">Sanctioned</option>
                                        <option value="Partial_Disbursed">Partial Disbursed</option>
                                        <option value="In_Process">In Process</option>
                                        <option value="Full_Disbursed">Full Disbursed</option>
                                        <option value="Cancelled">Cancelled</option>
                                        <option value="Reject">Reject</option>
                                        <option value="Not_Disbursed">Not Disbursed</option>
                                    </select>
                                </div>
                                @error('status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                               
                            </div>
                        </div>
                        
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Add</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
