@extends('layouts/contentNavbarLayout')

@section('title', 'Update Sanction')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Add Sanction</h4>

    <!-- Add sanction form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    {{-- <h5 class="mb-0">User Details</h5> <small class="text-muted float-end">Merged input group</small> --}}
                </div>
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf                        
                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Date">Date</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">                                    
                                    <input type="date" name="sanction_date" id="sanction_date" value="{{ $Sanction->sanction_date }}" class="form-control"  placeholder="Date" />
                                </div>
                                @error('sanction_date')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                        </div>
                       
                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Amount">Amount</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    
                                    <input type="text" name="sanction_amt" id="sanction_amt" value="{{ $Sanction->sanction_amt }}" class="form-control"  placeholder="Enter Amount" />
                                </div>
                                @error('sanction_amt')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Requirements">Requirements</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                <textarea class="form-control" name="requirements" id="requirements" placeholder="Enter Requirements" rows="3">{{ $Sanction->requirements }}</textarea>
                                </div>
                                @error('requirements')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                               
                            </div>
                        </div>                                       
                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Status">Status</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                <select class="form-select" name="status" id="status" aria-label="Default select example">
                                <option>{{$Sanction->status}}</option>
                                        <option value="Sanctioned">Sanctioned</option>
                                        <option value="Partial_Disbursed">Partial Disbursed</option>
                                        <option value="In_Process">In Process</option>
                                        <option value="Full_Disbursed">Full Disbursed</option>
                                        <option value="Cancelled">Cancelled</option>
                                        <option value="Reject">Reject</option>
                                        <option value="Not_Disbursed">Not Disbursed</option>
                                    </select>
                                </div>
                                @error('status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="Status">Status</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                <select class="form-select" name="sanction_status" id="status" aria-label="Default select example">
                                <option>{{$Sanction->sanction_status}}</option>
                                        <option value="0">Inactive</option>
                                        <option value="1">Active</option>                                       
                                    </select>
                                </div>
                                @error('sanction_status')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror                                
                            </div>
                        </div>
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Update</button>
                                {{-- <a href="{{ route('sanction.show') }}" class="btn btn-primary" role="button">Cancel</a> --}}
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection