@extends('layouts/contentNavbarLayout')

@section('title', 'Add User')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Add User</h4>

    <!-- Add Sanction form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">User Details</h5> <small class="text-muted float-end">Merged input group</small>
                </div>
                <div class="card-body">
                    <form action="{{ route('users.store') }}" method="POST">
                        @csrf
                       
                      
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Name</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    <input type="text" class="form-control" name="name" id="name" value="{{ old('name') }}" placeholder="Enter name" />
                                </div>
                                @error('name')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Email</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    <input type="text" class="form-control" name="email" id="email" value="{{ old('email') }}" placeholder="Enter email" />
                                </div>
                                @error('email')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Password</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    <input type="password" class="form-control" name="password" id="password" value="{{ old('password') }}" placeholder="Enter password" />
                                </div>
                                @error('password')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Confirm Password</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    <input type="password" class="form-control" name="password_confirmation" id="password_confirmation" value="{{ old('confirm_password') }}" placeholder="Enter password" />
                                </div>
                                @error('confirm_password')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="Client Id">Role</label>
                            <div class="col-sm-10">
                                <div class="input-group input-group-merge">
                                    
                                    <select class="form-select" name="roles[]">
                                        @foreach($roles as $role)
                                            <option value="{{ $role }}">
                                                {{ $role }}
                                            </option>
                                        @endforeach     
                                    </select>

                                </div>
                                @error('confirm_password')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                    
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Add</button>
                                <a class="btn btn-info" href="{{ route('users.index')}}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection



