@extends('layouts/contentNavbarLayout')

@section('title', 'Edit-Contact')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Update Contact</h4>

    <!-- update contact form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">User Details</h5> <small class="text-muted float-end">Merged input group</small>
                </div>
                <div class="card-body">
                    <form action="{{ route('users.update',$user->user_id) }}" method="post">
                        @csrf
                        @method('PATCH')
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">First Name</label><br><br>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span>
                                    <input type="text" class="form-control" name="firstname" id="basic-icon-default-fullname" value="{{$user->firstname }}" placeholder="John Doe" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('fname')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Last Name</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span>
                                    <input type="text" class="form-control" name="lname" id="basic-icon-default-fullname" value="{{$user->lastname }}" placeholder="John Doe" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('lname')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-email">Primary Email</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span class="input-group-text"><i class="bx bx-envelope"></i></span>
                                    <input type="text" name="email" id="basic-icon-default-email" value="{{$user->email }}" class="form-control" placeholder="john.doe" aria-label="john.doe" aria-describedby="basic-icon-default-email2" />
                                   
                                </div>
                                @error('email')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                <div class="form-text"> You can use letters, numbers & periods </div>
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-email">Secondory Email</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span class="input-group-text"><i class="bx bx-envelope"></i></span>
                                    <input type="text" name="email2" id="basic-icon-default-email" value="{{ $user->email2  }}" class="form-control" placeholder="john.doe" aria-label="john.doe" aria-describedby="basic-icon-default-email2" />
                                   
                                </div>
                                @error('email2')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                <div class="form-text"> You can use letters, numbers & periods </div>
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 form-label" for="basic-icon-default-phone">Mobile No</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-phone2" class="input-group-text"><i class="bx bx-phone"></i></span>
                                    <input type="text" name="mobile1" id="mobile_number" value="{{ $user->mobile_no  }}" class="form-control phone-mask" onblur="calNum()" placeholder="658 799 8941" aria-label="658 799 8941" aria-describedby="basic-icon-default-phone2" />
                                </div>
                                @error('mobile1')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                <div class="form-text"> Please Add <b>91</b> at the start of mobile number </div>
                            </div>
                            <label class="col-sm-2 form-label" for="basic-icon-default-phone">Alternate Mobile No</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-phone2" class="input-group-text"><i class="bx bx-phone"></i></span>
                                    <input type="text" name="mobile2" id="mobile_number" value="{{ $user->mobile2  }}" class="form-control phone-mask" onblur="calNum()" placeholder="658 799 8941" aria-label="658 799 8941" aria-describedby="basic-icon-default-phone2" />
                                </div>
                                @error('mobile2')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                                <div class="form-text"> Please Add <b>91</b> at the start of mobile number </div>
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Address</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    {{-- <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span> --}}
                                     <input type="text" class="form-control" name="address" id="address" value="{{ $user->address  }}" placeholder="Address" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('address')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">City</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    {{-- <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span> --}}
                                     <input type="text" class="form-control" name="city" id="city" value="{{ $user->city  }}" placeholder="India" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('city')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Country</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <select class="form-control" name="country" >                                        
                                        <option class="option">{{$user->country}}</option>
                                        
                                   </select>                                
                                </div>
                                @error('country')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">State</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <select class="form-control" name="state" >                                      
                                         <option class="option">{{$user->state}}</option>
                                   </select>
                                    </div>
                                @error('state')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Date Of Birth</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    {{-- <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span> --}}
                                     <input type="date" class="form-control" name="date_of_birth" id="DOB" value="{{ $user->date_of_birth  }}" placeholder="DOB" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('DOB')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Type Of Loan</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    {{-- <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span>
                                     <input type="text" class="form-control" name="Type_of_Loan" id="Type_of_Loan" value="{{ $user->Type_of_Loan }}" placeholder="Type Of Loan" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" /> --}}
                                     <select class="form-control" name="Type_of_Loan" >
                                        <option class="option">{{$user->Type_of_Loan}}</option>                                 
                                        <option  value="Home_Loan" {{ old('Type_of_Loan') == "Home_Loan" ? 'selected' : '' }}>Home Loan</option>
                                        <option  value="Balance_Transfer" {{ old('Type_of_Loan') == "Balance_Transfer" ? 'selected' : '' }}>Balance Transfer</option> 
                                        <option  value="LAP_loan" {{ old('Type_of_Loan') == "LAP_loan" ? 'selected' : '' }}>LAP Loan</option> 
                                        <option  value="Other" {{ old('Type_of_Loan') == "Other" ? 'selected' : '' }}>Other</option> 
                                       </select>
                                    </div>
                                @error('typeofloan')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Team Leader</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span>
                                     <input type="text" class="form-control" name="Team_Leader" id="Team_Leader" value="{{$user->Team_Leader}}" placeholder="Team Leader" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('Team-Leader')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                            <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Sourcing Manager</label>
                            <div class="col-sm-4">
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-fullname2" class="input-group-text"><i class="bx bx-user"></i></span>
                                     <input type="text" class="form-control" name="Sourcing_Manager" id="Sourcing_Manager" value="{{ $user->Sourcing_Manager}}" placeholder="Sourcing-Manager" aria-label="John Doe" aria-describedby="basic-icon-default-fullname2" />
                                </div>
                                @error('Sourcing_Manager')
                                    <div style="color: red">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>     

                        <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Role</label>
                        <div class="col-sm-4">
                            <select class="form-control" name="roles[]">
                                @foreach($roles as $role)
                                    <option value="{{ $role }}" @php echo in_array($role, $userRole) ? "selected" : "" @endphp>
                                        {{ $role }}
                                    </option>
                                @endforeach                               
                            </select>

                        </div>
                       
                        <div class="row justify-content-end">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Update</button>
                                <a class="btn btn-info" href="{{ route('contacts.index')}}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
{{-- End Form --}}