@extends('layouts/contentNavbarLayout')

@section('title', 'Users')

@section('content')

    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Horizon-</span> Users List</h4>

    <!-- Add contact form -->
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">User Details</h5>
                    <small class="text-muted float-end">
                        <a href="{{ route('users.create') }}" class="btn btn-primary" role="button">Add User</a>
                    </small>
                </div>
                <div class="card-body">
                    <h5 class="card-header">Users List</h5>

                    <div class="table-responsive text-nowrap">
                        <table class="table table-hover">
                            <thead>
                                <tr class="text-nowrap">
                                    <th>Sr. No.</th>
                                    <th>User Name</th>
                                    <th>Email</th>
                                    <th>Contact</th>
                                    <th>Country</th>
                                    <th>Labels</th>
                                </tr>
                            </thead>
                            <tbody class="table-border-bottom-0">
                                @php
                                    $i = 0;
                                    // echo '<pre><h1>data</h1></hr>'; print_r($data); echo '</pre>';
                                @endphp

                                @if (isset($data))
                                
                                @foreach ($data as $key => $user)
                                <tr>
                                    <td>{{ ++$i }}</td>
                                    <td>{{ $user->name }}</td>
                                    <td>{{ $user->email }}</td>
                                    <td>
                                    @if(!empty($user->getRoleNames()))
                                        @foreach($user->getRoleNames() as $v)
                                        <label class="badge badge-success">{{ $v }}</label>
                                        @endforeach
                                    @endif
                                    </td>
                                    <td>

                                        <a href="{{ route('users.show',$user->user_id) }}" class="btn btn-showid1" role="button"><i class="fa fa-eye">View</a>
                                        
                                        <a class="btn btn-info" href="{{ route('users.edit',$user->user_id) }}">Edit</a>
                                        <form method="POST" action="{{ route('users.destroy', $user->user_id) }}">
                                            @csrf
                                            @method('DELETE')
                                            <button class="btn btn-dark" type="submit">Delete</button>
                                        </form>
                                    
                                        {{-- {!! Form::open(['method' => 'DELETE','route' => ['users.destroy', $user->id],'style'=>'display:inline']) !!}
                                            {!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                                        {!! Form::close() !!} --}}
                                    </td>
                                </tr>
                                @endforeach
                                
                                @else
                                <tr>
                                    <td colspan="3"><h4> No Data Found !</h4></td>
                                </tr>
                                @endif

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex justify-content-center">
            {!! $data->render() !!}
        </div>
    </div>
@endsection

