<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\contact\ContactController;
use App\Http\Controllers\disbursement\DisbursementController;
use App\Http\Controllers\Sanction\SanctionController;
use App\Http\Controllers\Role\RoleController;
use App\Http\Controllers\Role\RolesController;
use App\Http\Controllers\User\UserController;
use App\Http\Controllers\Permission\PermissionController;
use App\Helpers\commentHelper as helper;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* Guest Login Routes */
Route::middleware(['guest'])->group(function () {
    Route::get('/', [AuthController::class, 'login'])->name('login');
    Route::get('/login', function(){ return redirect('/'); });
    Route::get('/register', [AuthController::class, 'register_view'])->name('register');

    Route::post('/login', [AuthController::class, 'login_user'])->name('user.login');
    Route::post('/register', [AuthController::class, 'register_user'])->name('user.register');
    Route::get('/home', [AuthController::class, 'dashboard'])->name('dashboard');
});

Route::middleware(['auth'])->group(function () {

    /* Authentication Module Routing */
    Route::get('/home', [AuthController::class, 'dashboard'])->name('dashboard');
    Route::get('/logout', [AuthController::class, 'logout'])->name('logout');
    
    /* Contact Module Routing */
    Route::resource('/contacts', ContactController::class)->only(['index', 'show','edit','store','create','update']);
    Route::post('changestatus',[ContactController::class,'changestatus']);
        
    
    /* Disbursements Module Routing */
    Route::resource('/disbursements',DisbursementController::class)->only(['index', 'show','edit','store','create','update']);
    Route::post('disbursementstatus',[DisbursementController::class,'changestatus'])->name('disbursement');
    Route::post('dynamic_dependent/fetch',[DisbursementController::class,'fetch'])->name('dynamicdependent.fetch');

    /* Sanction Module Routing */
    Route::resource('sanction',SanctionController::class);
    Route::post('sanctionstatus',[SanctionController::class,'changestatus']);

    /* Role Module Routing */
    Route::resource('role',RolesController::class);

    /* Permission Module Routing */
    Route::resource('permission', PermissionController::class);

    /* Roles Module Routing : merge of dharini role module */
    Route::resource('roles',RoleController::class);

    /* Status Update Routing */
    Route::post('/status_update', [RoleController::class, 'status_update'])->name('roles.status.change');

    /* User Module Routes */
     Route::resource('users', UserController::class);

    /* Permission Module Routes */
    Route::resource('permissions', PermissionController::class);
});
